ListOTAModuleByProduct

Last Updated on : 2025-10-10 06:56:49Copy for LLMView as MarkdownDownload PDF

Query the list of OTA modules under a product.

Request Parameters

Name Type Required Sample Values Description
Action String Yes ListOTAModuleByProduct System defined parameters. Value: ListOTAModuleByProduct.
ProductKey String Yes K5n4I80 * * * * The ProductKey of the product.

Note: When calling an API, in addition to the API-specific request parameters described in this topic, you must also pass in the common request parameters. For more information about common request parameters, see Common parameters.

Return Data

Name Type Sample Values Description
Code String Iot.system.SystemException The error code returned when the call fails. For more information, see Error codes.
Data Array of OtaModuleDTO The list of OTA modules returned when the call is successful.
AliasName String Ble module The module alias.
Desc String This is a BLE module Module description.
GmtCreate String 2024-11-11 T07:36Z The module creation time, in GMT format.
GmtModified String 2024-11-11 T07:36Z The last update time of the module information, in GMT format.
ModuleName String Ble The module name.
ProductKey String K4in4Ke * * * * The ProductKey of the product.
ErrorMessage String System Exception Error information returned when the call fails.
RequestID String Kan The unique identifier that IoT Platform generates for the request.
Success Boolean True Whether the call was successful.

- True : The call succeeded.

- False : The call failed.

Example

Request Example

curl 'https://si-d6e8******48958054.tuyacloud.com:8686/?Action=ListOTAModuleByProduct&SignatureNonce=9e6189124f5a4716ad2de849467b****&AccessKeyId=xMr9wgwXQLhv5AUa65o0****&SignatureMethod=HMAC-SHA1&Timestamp=2024-11-19T09%3A47%3A43Z&ProductKey=a1uctKe****&Signature=WJN0Ee8%2BX6pogcD3loLHIqQNEN0%3D'

Normal Return Example

{
    "code": "",
    "data": {
          "desc": "BLEModules",
          "gmtCreate": "2024-11-11T07:36Z",
          "moduleName": "ble",
          "aliasName": "BLEModules",
          "gmtModified": "2024-11-11T07:36Z",
          "productKey": "k4in4Ke****"
    }
    "requestId": "d2fce065-8238-4ee2-a793-0226f69b0542",
    "success": true
}